// datum.cpp : Definiert den Einstiegspunkt für die Konsolenanwendung.
//

#include "stdafx.h"
#include <iostream>

using namespace std;

int _tmain(int argc, _TCHAR* argv[])
{
	

	int tag, monat,jahr, maxTag;
	bool exit = false;
	while(!exit)
	{
		bool datumOK = true;
		cout << "Tag: ";
		cin >> tag;
		cout << "Monat: ";
		cin >> monat;
		cout << "Jahr: ";
		cin >> jahr;
		// Hier Beginnt die Prüfung
		if(jahr < 1200)
		{
			datumOK = false;
		}

		if(datumOK)
		{
			if(monat == 4 || monat == 6 || monat == 9 || monat == 11)
			{
				maxTag = 30;
			}
			if(monat == 1 || monat == 3 || monat == 5 || monat == 7 || monat == 8 || monat == 10 || monat == 12)
			{
				maxTag = 31;
			}
			if(monat == 2)
			{
				bool schaltjahr = false;
				if((jahr % 4 == 0 && jahr % 100 != 0) || jahr % 400 == 0)
					schaltjahr = true;

				if(schaltjahr)
					maxTag = 29;
				else
					maxTag = 28;
			}
			if(tag <= 0 || tag > maxTag)
			{
				datumOK = false;
			}

		
		}

		if(datumOK)
			cout << "Datum: " << tag << "." << monat << "." << jahr << endl;
		else
			cout << "Datumformat ist nicht korrekt" << endl;

	}
	return 0;
}

